function [eff,deltaP,X]=Body(viscG,rhoL,rhoG,K,Dp,RELrho,Cp,Kp,radius,height,f)
por=(100-RELrho)/100;% porousity
Smesh=(10.4+1.1*(100-por*100))*(64.52/1.639);% Mesh surface area
Dw=(4*(1-por))/Smesh;%Mesh fiber diameter
Usup=K*sqrt((rhoL-rhoG)/rhoG);
Qg=Usup*(3600*pi*(radius^2));
omega=2*pi*f;
beta=1;%slowdown factor. To ignore this factor set beta=1
alfa=0;%setting this to equal zero assumes forced vortex flow
%--------
%Dry pressuredrop
%-------
HagenDup=Cp*rhoG*((Usup)^2)+(viscG/Kp)*Usup;
ReM=(rhoG*Usup)/(viscG*Smesh);%turbulent when Re>2 from fundamentals of particle technology
MeshfricTur=(5/ReM)+0.4/(ReM^0.1);%The carman correlation the last term is a turbulence correction
MeshfricLam=5/ReM;
if ReM>4
    Blake=(MeshfricTur*rhoG*(Usup^2)*Smesh)/(por^3);
else 
    Blake=(MeshfricLam*rhoG*(Usup^2)*Smesh)/(por^3);
end
deltaP=HagenDup*height*(1+alfa*(radius*omega));
%--------
%Efficiency
%-------
ac=radius*(omega^2)*(Dw/(2*(Usup^2)));%non dimensionlized centrifugal acc
psi1=(1*(rhoL)*(Dp^2)*Usup)/(18*viscG*Dw);%must be larger then 0.125 /Ranz and Wong)
if ac<(10^(-3))
   psi2=(1*(rhoL-rhoG)*(Dp^2)*Usup)/(18*viscG*Dw);
   Fc=2*psi2*ac;
   etaEmp=(psi1^3)/((psi1^3)+0.77*(psi1^2)+0.22);
   Q=sqrt((1/(2*psi1))+((1/(4*psi1))^2));
   Tmark=(1/Q)*atan((4*psi1*Q)/(4*psi1-1));
   S1=-(1/(4*psi1))+sqrt(((1/(4*psi1))^2)+(1/(2*psi1)));
   S2=-(1/(4*psi1))-sqrt(((1/(4*psi1))^2)+(1/(2*psi1)));
   etaCent=(Fc*S2*exp(Tmark*S1)-Fc*S1*exp(Tmark*S1)+Fc*S1-Fc*S2+S2-S1)/(S2*exp(S1*Tmark)-S1*exp(S2*Tmark));
else
   etaEmp=(psi1^3)/((psi1^3)+0.77*(psi1^2)+0.22);
end
effCapt=1-exp((-2/3)*((etaEmp*Smesh*height*(1+alfa*((radius*omega)/(2*Usup))))/pi));
effTOF=1-((1/(exp(((Dp^2)*beta*(rhoL-rhoG)*(omega^2)*height*por)/(18*viscG*Usup))))^2);
eff=max(effTOF,effCapt);
X=ac;
end