%function eta1=F1(viscG,rhoL,rhoG,Usup,Dw,Dp,R,omega)
viscG=0.00001786329631;%kg/(m-sec)
rhoL=998.8027344;%kg/m3
rhoG=1.218501091;
Usup=5;
Dw=0.3*(10^-3);
n=100;
m=2;
X=zeros(1,n);
Y=zeros(m+1,n);
for i=1:m
    for j=1:n
        Dp=2*(10^-6)+0.2*(10^-6)*j;
        R=40*(10^-3);
        omega=400;
        ac=R*(omega^2)*(Dw/(2*(Usup^2)));%non dimensionlized centrifugal acc
        g=0;%*(Dw/(2*(Usup^2)));
        Uradial=2*pi*R*omega;  
        psi1=(1*(rhoL)*(Dp^2)*Usup)/(18*viscG*Dw);%must be larger then 0.125 /Ranz and Wong) 
                                                  %Appendix C Helsr(2006)
        if psi1<=0.125
            etaEmp=(psi1^3)/((psi1^3)+0.77*(psi1^2)+0.22);
            break
        else
            psi2=(1*(rhoL-rhoG)*(Dp^2)*Usup)/(18*viscG*Dw);
            Fc=2*psi2*ac;
            etaEmp=(psi1^3)/((psi1^3)+0.77*(psi1^2)+0.22);
            Q=sqrt((1/(2*psi1))+((1/(4*psi1))^2));
            Tmark=(1/Q)*atan((4*psi1*Q)/(4*psi1-1));
            S1=-(1/(4*psi1))+sqrt(((1/(4*psi1))^2)+(1/(2*psi1)));
            S2=-(1/(4*psi1))-sqrt(((1/(4*psi1))^2)+(1/(2*psi1)));
            etaCent=(Fc*S2*exp(Tmark*S1)-Fc*S1*exp(Tmark*S1)+Fc*S1-Fc*S2+S2-S1)/(S2*exp(S1*Tmark)-S1*exp(S2*Tmark));
            etaNorm=(S2-S1)/(S2*exp(S1*Tmark)-S1*exp(S2*Tmark));
        end
        X(j)=sqrt(psi1);
        Y(1,j)=etaNorm;
        Y(2,j)=etaEmp;
        if etaCent>1
            etaCent=1;
        end
    end
end
%--------
%Mesh properties
%-------
RELrho=8; %relative density in precent
por=(100-RELrho)/100;% porousity
Smesh=(10.4+1.1*(100-por*100))*(64.52/1.639);% Mesh surface area
height=0.08;% Meshpad height
Dpad=0.083;% Meshpad diameter
EffNorm=1-exp((-2/3)*((etaEmp*Smesh*height)/pi));
EffCycl=1-exp((-2/3)*((etaEmp*Smesh*height*(1+((2*pi*R*omega)/(Usup))))/pi));
hold off
plot(X,Y(1,:),'Color','red','LineWidt',3,'DisplayName','Ranz and Wong (Analytical)')
hold on
plot(X,Y(2,:),'Color','cyan','LineWidt',3,'DisplayName','Landhal and Hermann (Emperical)')
%plot(X,Y(5,:),'Color','blue','LineWidt',2,'DisplayName','ac=25*10^-^4 (m/s^2)')
%plot(X,Y(7,:),'Color','magenta','LineWidt',2,'DisplayName','ac=35*10^-^4 (m/s^2)')
%plot(X,Y(9,:),'Color','green','LineWidt',2,'DisplayName','ac=45*10^-^4 (m/s^2)')
xlabel('\psi^0^.^5');
ylabel('Single target efficiency (-)');