%--------
%Air and Water
%-------
%1ATM
%----
viscG=0.00001797408913;%kg/(m-sec),Air
%viscG=0.00001063102081;%kg/(m-sec), Natural Gas
%viscG=0.00001458889437;%kg/(m-sec),SF6
rhoL=998.8027344;%kg/m3 ,Water
%rhoL=756.9100342;%kg/m3 ,Oil
%rhoL=796;%kg/m3 ,Exxol D80
rhoG=1.224846482;%kg/m3 , Air
%rhoG=0.7396171093;%kg/m3 , Natural Gas
%rhoG=6.256990433;%kg/m3 , SF6
%-------
%6 Bar
%----
%viscG=0.00001797408913;%kg/(m-sec),Air
%viscG=0.00001063102081;%kg/(m-sec), Natural Gas
%rhoL=998.7849731;%kg/m3 ,Water
%rhoL=757.2796631;%kg/m3 ,Oil
%rhoG=7.283519745;%kg/m3 , Air
%rhoG=4.448032379;%kg/m3 , Natural Gas
%-------
%80 Bar
%-------
%viscG=0.00001797408913;%kg/(m-sec),Air
%viscG=0.00001063102081;%kg/(m-sec), Natural Gas
%rhoL=998.7980347;%kg/m3 ,Water
%rhoL=762.6702881;%kg/m3 ,Oil
%rhoG=100.6383209;%kg/m3 , Air
%rhoG=73.5552597;%kg/m3 , Natural Gas
n=30000;
m=4;
X=zeros(1,n);
Y=zeros(m,n);
Z=zeros(m,n);
%--------
%Mesh properties
%-------
RELrho=8; %relative density in precent
por=(100-RELrho)/100;% porousity
Smesh=(10.4+1.1*(100-por*100))*(64.52/1.639);% Mesh surface area
height=0.08;% Meshpad height
radius=0.0415;%
beta=1;%slowdown factor. To ignore this factor set beta=1
K=0.5;
Usup=K*sqrt((rhoL-rhoG)/rhoG);
Qg=Usup*(3600*pi*(radius^2));
Dw=(4*(1-por))/Smesh;
for i=1:m
    for j=1:n
        beta=-0.2+0.3*i;
        Dp=0.1*(10^-7)*j;
        Usup=K*sqrt((rhoL-rhoG)/rhoG);
        Qg=Usup*(3600*pi*(radius^2));
        f=20;
        omega=2*pi*f;
        alfa=0;
        psi1=(1*(rhoL)*(Dp^2)*Usup)/(18*viscG*Dw);%must be larger then 0.125 /Ranz and Wong)
        etaEmp=(psi1^3)/((psi1^3)+0.77*(psi1^2)+0.22);
        effCapt=1-exp((-2/3)*((etaEmp*Smesh*height*(1+alfa*((radius*omega)/(2*Usup))))/pi));
        effTOF=1-((1/(exp((((Dp^2)*beta*(rhoL-rhoG)*(omega^2)*height*por)/(18*viscG*Usup)))))^2);
        X(j)=Dp;
        Y(i,j)=effTOF;
        Z(i,j)=effCapt;
        %Dpt=(18*viscG*log(10)*Usup)/((rhoL-rhoG)*(omega^2)*height*por)
    end
end
plot(X,Y(1,:),'Color','red','LineWidt',2,'DisplayName','\beta=0.1, f=20Hz')
hold on
plot(X,Y(2,:),'Color','blue','LineWidt',2,'DisplayName','\beta=0.4, f=20Hz')
plot(X,Y(3,:),'Color','green','LineWidt',2,'DisplayName','\beta=0.7, f=20Hz')
plot(X,Y(4,:),'Color','magenta','LineWidt',2,'DisplayName','\beta=1.0, f=20Hz')
%plot(X,Y(5,:),'Color','magenta','LineWidt',2,'DisplayName','f=60Hz')
%plot(X,Y(6,:),'Color','green','LineWidt',2,'DisplayName','f=80Hz')
xlabel('Liquid droplet diameter (m)');
ylabel('Efficiency (-)');