%--------
%Air and Water
%-------
%1ATM
%----
viscG=0.00001797408913;%kg/(m-sec),Air
%viscG=0.00001063102081;%kg/(m-sec), Natural Gas
%viscG=0.00001458889437;%kg/(m-sec),SF6
rhoL=998.8027344;%kg/m3 ,Water
%rhoL=756.9100342;%kg/m3 ,Oil
%rhoL=796;%kg/m3 ,Exxol D80
rhoG=1.224846482;%kg/m3 , Air
%rhoG=0.7396171093;%kg/m3 , Natural Gas
%rhoG=6.256990433;%kg/m3 , SF6
%-------
%6 Bar
%----
%viscG=0.00001797408913;%kg/(m-sec),Air
%viscG=0.00001063102081;%kg/(m-sec), Natural Gas
%rhoL=998.7849731;%kg/m3 ,Water
%rhoL=757.2796631;%kg/m3 ,Oil
%rhoG=7.283519745;%kg/m3 , Air
%rhoG=4.448032379;%kg/m3 , Natural Gas
%-------
%80 Bar
%-------
%viscG=0.00001797408913;%kg/(m-sec),Air
%viscG=0.00001063102081;%kg/(m-sec), Natural Gas
%rhoL=998.7980347;%kg/m3 ,Water
%rhoL=762.6702881;%kg/m3 ,Oil
%rhoG=100.6383209;%kg/m3 , Air
%rhoG=73.5552597;%kg/m3 , Natural Gas
Qg=400;%m3/hr
n=200;
m=1;
X=zeros(1,n);
Y=zeros(m,n);
Z=zeros(m,n);
%--------
%Mesh properties
%-------
RELrho=8; %relative density in precent
por=(100-RELrho)/100;% porousity
Smesh=(10.4+1.1*(100-por*100))*(64.52/1.639);% Mesh surface area
height=0.08;% Meshpad height
radius=0.0415;%
beta=1;%slowdown factor. To ignore this factor set beta=1
alfa=0;
Usup=Qg/(3600*pi*(radius^2));
K=Usup*sqrt(rhoG/(rhoL-rhoG));
Dw=0.3*(10^-3);
x=0;
while 1
   x=x+1;
   Dp=0.1*(10^-10)*x;
   f=0.01;
   omega=2*pi*f;
   psi1=(1*(rhoL)*(Dp^2)*Usup)/(18*viscG*Dw);%must be larger then 0.125 /Ranz and Wong)
   etaEmp=(psi1^3)/((psi1^3)+0.77*(psi1^2)+0.22);
   effCapt=1-exp((-2/3)*((etaEmp*Smesh*height*(1+alfa*((radius*omega)/(2*Usup))))/pi));
   if effCapt>0.499 && effCapt<0.501
      break
   end
end
for i=1:m
    for j=1:n
        f=2+0.1*j;
        omega=2*pi*f;
        R50=sqrt(0.5)*radius;
        Dp50=sqrt(18*viscG*log(radius/R50)*Usup)/(beta*(rhoL-rhoG)*(omega^2)*height*por);
        X(j)=f;
        Y(i,j)=Dp50;
        Z(i,j)=Dp;
    end
end
hold off
plot(X,Y(1,:),'Color','red','LineWidt',3,'DisplayName','Cyclonic separation')
hold on
plot(X,Z(1,:),'Color','blue','LineWidt',3,'DisplayName','Mesh capture')
%plot(X,Y(3,:),'Color','cyan','LineWidt',2,'DisplayName','f=20Hz')
%plot(X,Y(5,:),'Color','blue','LineWidt',2,'DisplayName','f=40Hz')
%plot(X,Y(7,:),'Color','magenta','LineWidt',2,'DisplayName','f=60Hz')
%plot(X,Y(9,:),'Color','green','LineWidt',2,'DisplayName','f=80Hz')
xlabel('Frequency (Hz)');
ylabel('Dp_5_0 (m)');