%function eta1=F1(viscG,rhoL,rhoG,Usup,Dw,Dp,R,omega)
%--------
%Mesh properties
%-------
RELrho=8; %relative density in precent
por=(100-RELrho)/100;% porousity
Smesh=(10.4+1.1*(100-por*100))*(64.52/1.639);% Mesh surface area
height=0.08;% Meshpad height
radius=0.0415;%
Dw=(4*(1-por))/Smesh;
%--------
%Fluid properties
%-------
viscG=0.00001786329631;%kg/(m-sec)
rhoL=998.8027344;%kg/m3
rhoG=1.218501091;
GLVolratio=0.02;
Usup=5;
Qg=Usup*((radius^2)*pi);
Ql=Qg*(GLVolratio/(1-GLVolratio));
Vsup=Ql/((radius^2)*pi);
GLVolratio=0.04;
Usup=5;
%--------
%Calculation of film thickness
%-------
n=1;
sjekk1=zeros(n+18,2);
deltaP1=zeros(19,1);
deltaP1=zeros(19,1);
Usup=zeros(19,1);
HagenDupHybrid=zeros(19,1);
HagenDupFixed=zeros(19,1);
DChybrid=zeros(19,1);
DKhybrid=zeros(19,1);
gamma=0.02*(1+75*GLVolratio);
shear=0.5*rhoG*(Vsup^2)*gamma;
HybridC=59.09;%Found by curvefitting
HybridK=4.06*(10^-8);%Found by curvefitting
FixedC=10.79;%Found by curvefitting
FixedK=1.2*(10^-6);%Found by curvefitting
%--------
%Dry pressuredrop
%-------
for i=1:18
    sjekk1(n+i,1)=DPhybridDryStill((19-i),1)/(3600*(pi*(radius^2)));
    sjekk1(n+i,2)=DPhybridDryStill((19-i),2)*(1000/height);
    Usup(1+i)=sjekk1(n+i,1);
    ReM=(rhoG*Usup(1+i))/(viscG*Smesh);%turbulent when Re>2 from fundamentals of particle technology
    MeshfricTur=(5/ReM)+0.4/(ReM^0.1);%The carman correlation the last term is a turbulence correction
    MeshfricLam=5/ReM;
    MeshfricHollow=4.17/ReM+0.29;
    if ReM>4
        deltaP1(1+i)=(MeshfricTur*rhoG*(Usup(1+i)^2)*Smesh)/(por^3);
        deltaP2(1+i)=((Smesh^2)*(150/36)*viscG*Usup(1+i))/((por^3))+(Smesh*(7/24)*rhoG*(Usup(1+i)^2))/(por^3);
    else 
        deltaP1(1+i)=(MeshfricLam*rhoG*(Usup(1+i)^2)*Smesh)/(por^3);
        deltaP2(1+i)=((Smesh^2)*(150/36)*viscG*Usup)/((por^3))+(Smesh*(7/24)*rhoG*(Usup(1+i)^2))/(por^3);
    end
    DChybrid(1+i)=HybridC*rhoG*(Usup(1+i)^2);
    DMYhybrid(1+i)=(viscG/HybridK)*Usup(1+i);
    HagenDupHybrid(1+i)=DMYhybrid(1+i)+DChybrid(1+i);
    HagenDupFixed(1+i)=FixedC*rhoG*(Usup(1+i)^2)+(viscG/FixedK)*Usup(1+i);
end
hold off
plot(HagenDupHybrid,sjekk1(:,2),'o','Color','red','LineWidt',3,'DisplayName','Experimental NNGL separator, f=0Hz')
hold on
plot(HagenDupHybrid,HagenDupHybrid,'Color','blue','LineWidt',3,'DisplayName','Hazen-Dupuit-Darcy Model')