%--------
%Air and Water
%-------
%1ATM
%----
viscG=0.00001797408913;%kg/(m-sec),Air
%viscG=0.00001063102081;%kg/(m-sec), Natural Gas
%viscG=0.00001458889437;%kg/(m-sec),SF6
rhoL=998.8027344;%kg/m3 ,Water
%rhoL=756.9100342;%kg/m3 ,Oil
%rhoL=796;%kg/m3 ,Exxol D80
rhoG=1.224846482;%kg/m3 , Air
%rhoG=0.7396171093;%kg/m3 , Natural Gas
%rhoG=6.256990433;%kg/m3 , SF6
%-------
%6 Bar
%----
%viscG=0.00001797408913;%kg/(m-sec),Air
%viscG=0.00001063102081;%kg/(m-sec), Natural Gas
%rhoL=998.7849731;%kg/m3 ,Water
%rhoL=757.2796631;%kg/m3 ,Oil
%rhoG=7.283519745;%kg/m3 , Air
%rhoG=4.448032379;%kg/m3 , Natural Gas
%-------
%80 Bar
%-------
%viscG=0.00001797408913;%kg/(m-sec),Air
%viscG=0.00001063102081;%kg/(m-sec), Natural Gas
%rhoL=998.7980347;%kg/m3 ,Water
%rhoL=762.6702881;%kg/m3 ,Oil
%rhoG=100.6383209;%kg/m3 , Air
%rhoG=73.5552597;%kg/m3 , Natural Gas
%--------
%Mesh properties
%-------
RELrho=8; %relative density in precent
por=(100-RELrho)/100;% porousity
Smesh=(10.4+1.1*(100-por*100))*(64.52/1.639);% Mesh surface area
height=0.08;% Meshpad height
radius=0.0415;%
Dw=(4*(1-por))/Smesh;
%--------
%Calculation of film thickness
%-------
n=100;
deltaP1=zeros(n+1,1);
deltaP1=zeros(n+1,1);
Usup=zeros(n+1,1);
HagenDupHybrid=zeros(n+1,1);
HagenDupFixedA=zeros(n+1,1);
DChybrid=zeros(n+1,1);
DKhybrid=zeros(n+1,1);
HybridC=59.09;%Found by curvefitting
HybridK=4.06*(10^-8);%Found by curvefitting
FixedC=131.3;%Found by curvefitting
FixedK=9.4*(10^-8);%Found by curvefitting
%--------
%Dry pressuredrop
%--------
for i=1:n
    Usup(1+i)=0.2*i;
    ReM=(rhoG*Usup(1+i))/(viscG*Smesh);%turbulent when Re>2 from fundamentals of particle technology
    MeshfricTur=(5/ReM)+0.4/(ReM^0.1);%The carman correlation the last term is a turbulence correction
    MeshfricLam=5/ReM;
    MeshfricHollow=4.17/ReM+0.29;
    if ReM>4
        deltaP1(1+i)=(MeshfricTur*rhoG*(Usup(1+i)^2)*Smesh)/(por^3);
        deltaP2(1+i)=((Smesh^2)*(150/36)*viscG*Usup(1+i))/((por^3))+(Smesh*(7/24)*rhoG*(Usup(1+i)^2))/(por^3);
    else 
        deltaP1(1+i)=(MeshfricLam*rhoG*(Usup(1+i)^2)*Smesh)/(por^3);
        deltaP2(1+i)=((Smesh^2)*(150/36)*viscG*Usup)/((por^3))+(Smesh*(7/24)*rhoG*(Usup(1+i)^2))/(por^3);
    end
    DChybrid(1+i)=HybridC*rhoG*(Usup(1+i)^2);
    DMYhybrid(1+i)=(viscG/HybridK)*Usup(1+i);
    HagenDupHybrid(1+i)=DMYhybrid(1+i)+DChybrid(1+i);
    HagenDupFixedA(1+i)=(FixedC*rhoG*(Usup(1+i)^2)+(viscG/FixedK)*Usup(1+i))*height;
end
%----------------
%IGJEN MESH B
%----------------
height=0.1;% Meshpad height
radius=0.04;%
n=100;
deltaP1=zeros(n+1,1);
deltaP1=zeros(n+1,1);
Usup=zeros(n+1,1);
HagenDupHybrid=zeros(n+1,1);
HagenDupFixedB=zeros(n+1,1);
DChybrid=zeros(n+1,1);
DKhybrid=zeros(n+1,1);
HybridC=59.09;%Found by curvefitting
HybridK=4.06*(10^-8);%Found by curvefitting
FixedC=131.3;%Found by curvefitting
FixedK=9.4*(10^-8);%Found by curvefitting
%--------
%Dry pressuredrop
%-------
for i=1:n
    Usup(1+i)=0.2*i;
    ReM=(rhoG*Usup(1+i))/(viscG*Smesh);%turbulent when Re>2 from fundamentals of particle technology
    MeshfricTur=(5/ReM)+0.4/(ReM^0.1);%The carman correlation the last term is a turbulence correction
    MeshfricLam=5/ReM;
    MeshfricHollow=4.17/ReM+0.29;
    if ReM>4
        deltaP1(1+i)=(MeshfricTur*rhoG*(Usup(1+i)^2)*Smesh)/(por^3);
        deltaP2(1+i)=((Smesh^2)*(150/36)*viscG*Usup(1+i))/((por^3))+(Smesh*(7/24)*rhoG*(Usup(1+i)^2))/(por^3);
    else 
        deltaP1(1+i)=(MeshfricLam*rhoG*(Usup(1+i)^2)*Smesh)/(por^3);
        deltaP2(1+i)=((Smesh^2)*(150/36)*viscG*Usup)/((por^3))+(Smesh*(7/24)*rhoG*(Usup(1+i)^2))/(por^3);
    end
    DChybrid(1+i)=HybridC*rhoG*(Usup(1+i)^2);
    DMYhybrid(1+i)=(viscG/HybridK)*Usup(1+i);
    HagenDupHybrid(1+i)=DMYhybrid(1+i)+DChybrid(1+i);
    HagenDupFixedB(1+i)=(FixedC*rhoG*(Usup(1+i)^2)+(viscG/FixedK)*Usup(1+i))*height;
end
hold on
%----------------
%IGJEN MESH C
%----------------
height=0.2;% Meshpad height
radius=0.03;%
n=100;
deltaP1=zeros(n+1,1);
deltaP1=zeros(n+1,1);
Usup=zeros(n+1,1);
HagenDupHybrid=zeros(n+1,1);
HagenDupFixed3=zeros(n+1,1);
DChybrid=zeros(n+1,1);
DKhybrid=zeros(n+1,1);
HybridC=59.09;%Found by curvefitting
HybridK=4.06*(10^-8);%Found by curvefitting
FixedC=131.3;%Found by curvefitting
FixedK=9.4*(10^-8);%Found by curvefitting
%--------
%Dry pressuredrop
%-------
for i=1:n
    Usup(1+i)=0.2*i;
    ReM=(rhoG*Usup(1+i))/(viscG*Smesh);%turbulent when Re>2 from fundamentals of particle technology
    MeshfricTur=(5/ReM)+0.4/(ReM^0.1);%The carman correlation the last term is a turbulence correction
    MeshfricLam=5/ReM;
    MeshfricHollow=4.17/ReM+0.29;
    if ReM>4
        deltaP1(1+i)=(MeshfricTur*rhoG*(Usup(1+i)^2)*Smesh)/(por^3);
        deltaP2(1+i)=((Smesh^2)*(150/36)*viscG*Usup(1+i))/((por^3))+(Smesh*(7/24)*rhoG*(Usup(1+i)^2))/(por^3);
    else 
        deltaP1(1+i)=(MeshfricLam*rhoG*(Usup(1+i)^2)*Smesh)/(por^3);
        deltaP2(1+i)=((Smesh^2)*(150/36)*viscG*Usup)/((por^3))+(Smesh*(7/24)*rhoG*(Usup(1+i)^2))/(por^3);
    end
    DChybrid(1+i)=HybridC*rhoG*(Usup(1+i)^2);
    DMYhybrid(1+i)=(viscG/HybridK)*Usup(1+i);
    HagenDupHybrid(1+i)=DMYhybrid(1+i)+DChybrid(1+i);
    HagenDupFixedC(1+i)=(FixedC*rhoG*(Usup(1+i)^2)+(viscG/FixedK)*Usup(1+i))*height;
end
hold on
plot(HagenDupFixedA,HagenDupFixedC,'Color','red','LineWidt',3,'DisplayName','Y=Mesh C X=Mesh A')
plot(HagenDupFixedB,HagenDupFixedC,'Color','blue','LineWidt',3,'DisplayName','Y=Mesh C X=Mesh B')
plot(HagenDupFixedA,HagenDupFixedB,'Color','green','LineWidt',3,'DisplayName','Y=Mesh B X=Mesh A')