%function eta1=F1(viscG,rhoL,rhoG,Usup,Dw,Dp,R,omega)
%--------
%Mesh properties
%-------
RELrho=10; %relative density in precent
por=(100-RELrho)/100;% porousity
Smesh=(10.4+1.1*(100-por*100))*(64.52/1.639);% Mesh surface area
height=0.08;% Meshpad height
radius=0.0415;%
Dw=(4*(1-por))/Smesh;
%--------
%Fluid properties
%-------
viscG=0.00001786329631;%kg/(m-sec)
rhoL=998.8027344;%kg/m3
rhoG=1.218501091;
GLVolratio=0.02;
Usup=5;
Qg=Usup*((radius^2)*pi);
Ql=Qg*(GLVolratio/(1-GLVolratio));
Vsup=Ql/((radius^2)*pi);
GLVolratio=0.04;
Usup=5;
%--------
%Calculation of film thickness
%-------
n=1;
sjekk1=zeros(n+9,2);
deltaP1=zeros(10,5);
deltaP2=zeros(10,5);
Usup=zeros(10,1);
HagenDupHybrid=zeros(10,1);
HagenDupFixed=zeros(10,1);
DChybrid=zeros(10,1);
DKhybrid=zeros(10,1);
gamma=0.02*(1+75*GLVolratio);
shear=0.5*rhoG*(Vsup^2)*gamma;
HybridC=59.09;%Found by curvefitting
HybridK=4.06*(10^-8);%Found by curvefitting
FixedC=131.3089;%Found by curvefitting
FixedK=9.4017*(10^-8);%Found by curvefitting
%--------
%Dry pressuredrop
%-------
for j=1
    %--------
    %Mesh properties
    %-------
    RELrho=5; %relative density in precent
    por=(100-RELrho)/100;% porousity
    Smesh=(10.4+1.1*(100-por*100))*(64.52/1.639);% Mesh surface area
    height=0.08;% Meshpad height
    radius=0.0415;%
    Dw=(4*(1-por))/Smesh;
    for i=1:9
        sjekk1(n+i,1)=DPfixedDry((10-i),1)/(3600*(pi*(radius^2)));
        sjekk1(n+i,2)=DPfixedDry((10-i),2)*(1000/height);
 	    Usup(1+i)=sjekk1(n+i,1);
        ReM=(rhoG*Usup(1+i))/(viscG*Smesh);%turbulent when Re>2 from fundamentals of particle technology
        MeshfricTur=(5/ReM)+0.4/(ReM^0.1);%The carman correlation the last term is a turbulence correction
        MeshfricLam=5/ReM;
        MeshfricHollow=4.17/ReM+0.29;
        if ReM>4
            deltaP1(1+i,j)=(MeshfricTur*rhoG*(Usup(1+i)^2)*Smesh)/(por^3);
            deltaP2(1+i,j)=((Smesh^2)*(150/36)*viscG*Usup(1+i))/((por^3))+(Smesh*(7/24)*rhoG*(Usup(1+i)^2))/(por^3);
        else 
            deltaP1(1+i,j)=(MeshfricLam*rhoG*(Usup(1+i)^2)*Smesh)/(por^3);
            deltaP2(1+i,j)=((Smesh^2)*(150/36)*viscG*Usup)/((por^3))+(Smesh*(7/24)*rhoG*(Usup(1+i)^2))/(por^3);
        end
    end
end
hold off
plot(deltaP1(:,1),sjekk1(:,2),'o','Color','red','LineWidt',3,'DisplayName','Experimental')
hold on
plot(deltaP1(:,1),sjekk1(:,2),'Color','blue','LineWidt',3,'DisplayName','Blake Model for 5% relative density')
%plot(deltaP1(:,1),deltaP1(:,1),'Color','green','LineWidt',2,'DisplayName','Model')
%plot(deltaP1(:,1),deltaP1(:,3),'Color','cyan','LineWidt',2,'DisplayName','Model')
%plot(deltaP1(:,1),deltaP1(:,4),'Color','magenta','LineWidt',2,'DisplayName','Model')
%plot(deltaP1(:,1),deltaP1(:,5),'Color','blue','LineWidt',2,'DisplayName','Model for 10% relative density')
xlabel('Calculated pressure (Pa)');
ylabel('Measured pressure (Pa)');