%--------
%Air and Water
%-------
%1ATM
%----
viscG=0.00001797408913;%kg/(m-sec),Air
%viscG=0.00001063102081;%kg/(m-sec), Natural Gas
%viscG=0.00001458889437;%kg/(m-sec),SF6
rhoL=998.8027344;%kg/m3 ,Water
%rhoL=756.9100342;%kg/m3 ,Oil
%rhoL=796;%kg/m3 ,Exxol D80
rhoG=1.224846482;%kg/m3 , Air
%rhoG=0.7396171093;%kg/m3 , Natural Gas
%rhoG=6.256990433;%kg/m3 , SF6
%-------
%6 Bar
%----
%viscG=0.00001797408913;%kg/(m-sec),Air
%viscG=0.00001063102081;%kg/(m-sec), Natural Gas
%rhoL=998.7849731;%kg/m3 ,Water
%rhoL=757.2796631;%kg/m3 ,Oil
%rhoG=7.283519745;%kg/m3 , Air
%rhoG=4.448032379;%kg/m3 , Natural Gas
%-------
%80 Bar
%-------
%viscG=0.00001797408913;%kg/(m-sec),Air
%viscG=0.00001063102081;%kg/(m-sec), Natural Gas
%rhoL=998.7980347;%kg/m3 ,Water
%rhoL=762.6702881;%kg/m3 ,Oil
%rhoG=100.6383209;%kg/m3 , Air
%rhoG=73.5552597;%kg/m3 , Natural Gas
%--------
%Mesh properties
%-------
RELrho=8; %relative density in precent
por=(100-RELrho)/100;% porousity
Smesh=(10.4+1.1*(100-por*100))*(64.52/1.639);% Mesh surface area
height=0.08;% Meshpad height
radius=0.0415;%
Dw=(4*(1-por))/Smesh;%!!!!!!!!!!!!REGN UT DENNNE!!!!!!!!!!!!!
n=100;
m=3;
deltaP1=zeros(n+1,1);
deltaP2=zeros(n+1,1);
Usup=zeros(n+1,1);
HagenDupHybrid=zeros(n+1,m);
HagenDupFixed=zeros(n+1,m);
DChybrid=zeros(n+1,m);
DMhybrid=zeros(n+1,m);
HybridC=59.09;%Found by curvefitting
HybridK=4.06*(10^-8);%Found by curvefitting
FixedC=131.3;%Found by curvefitting
FixedK=9.4*(10^-8);%Found by curvefitting
%--------
%Dry pressuredrop
%-------
for j=1:m
    if j==1
        Rtop=radius*0.5;
    elseif j==2
        Rtop=radius*0.9;
    else
        Rtop=radius;
    end
    for i=1:n
        Usup(1+i)=0.2*i;
        f=20;
        omega=2*pi*f;
        DChybrid(1+i,j)=HybridC*rhoG*(Usup(1+i)^2);
        DMYhybrid(1+i,j)=(viscG/HybridK)*Usup(1+i);
        HagenDupHybrid(1+i,j)=DMYhybrid(1+i,j)+DChybrid(1+i,j);
        HagenDupFixed(1+i,j)=(FixedC*rhoG*(Usup(1+i)^2)+(viscG/FixedK)*Usup(1+i))*(height+((((radius-Rtop)/2)*omega-(Rtop^2)*omega*log(radius/Rtop)))/Usup(1+i));
    end
end
hold on
plot(Usup,HagenDupFixed(:,1),'Color','green','LineWidt',3,'DisplayName','R_t_o_p=0.5xR_W')
plot(Usup,HagenDupFixed(:,2),'Color','red','LineWidt',3,'DisplayName','R_t_o_p=0.9xR_W')
plot(Usup,HagenDupFixed(:,3),'Color','blue','LineWidt',3,'DisplayName','R_t_o_p=R_W (forced vortex)')
xlabel('U_s_u_p (m/s)');
ylabel('Pressure drop (Pa)');