%function eta1=F1(viscG,rhoL,rhoG,Usup,Dw,Dp,R,omega)
%--------
%Mesh properties
%-------
RELrho=8; %relative density in precent
por=(100-RELrho)/100;% porousity
Smesh=(10.4+1.1*(100-por*100))*(64.52/1.639);% Mesh surface area
height=0.08;% Meshpad height
radius=0.0415;%
Dw=(4*(1-por))/Smesh;
%--------
%Fluid properties
%-------
viscG=0.00001786329631;%kg/(m-sec)
rhoL=998.8027344;%kg/m3
rhoG=1.218501091;
GLVolratio=0.02;
Usup=5;
Qg=Usup*((radius^2)*pi);
Ql=Qg*(GLVolratio/(1-GLVolratio));
Vsup=Ql/((radius^2)*pi);
GLVolratio=0.04;
Usup=5;
%--------
%Calculation of film thickness
%-------
n=1;
sjekk1=zeros(n+18,2);
deltaP1=zeros(19,1);
deltaP1=zeros(19,1);
Usup=zeros(19,1);
HagenDupHybrid=zeros(19,1);
HagenDupFixed=zeros(19,1);
DChybrid=zeros(19,1);
DKhybrid=zeros(19,1);
gamma=0.02*(1+75*GLVolratio);
shear=0.5*rhoG*(Vsup^2)*gamma;
HybridC=59.09;%Found by curvefitting
HybridK=4.06*(10^-8);%Found by curvefitting
FixedC=131.3089;%Found by curvefitting
FixedK=9.4017*(10^-8);%Found by curvefitting
%--------
%Dry pressuredrop
%-------
for i=1:18
    sjekk1(n+i,1)=DPhybridDryStill((19-i),1)/(3600*(pi*(radius^2)));
    sjekk1(n+i,2)=DPhybridDryStill((19-i),2)*(1000/height);
    Usup(1+i)=sjekk1(n+i,1);
    DChybrid(1+i)=HybridC*rhoG*(Usup(1+i)^2);
    DMYhybrid(1+i)=(viscG/HybridK)*Usup(1+i);
    HagenDupHybrid(1+i)=DMYhybrid(1+i)+DChybrid(1+i);
    HagenDupFixed(1+i)=FixedC*rhoG*(Usup(1+i)^2)+(viscG/FixedK)*Usup(1+i);
end
hold off
plot(HagenDupHybrid,sjekk1(:,2),'o','Color','red','LineWidt',3,'DisplayName','Experimental Still')
hold on
xlabel('Calculated pressure (Pa)');
ylabel('Measured pressure (Pa)');
%--------
%Calculation of film thickness
%-------
n=1;
sjekk2=zeros(n+15,2);
Usup=zeros(16,1);
HagenDupHybrid2=zeros(16,1);
HagenDupFixed2=zeros(16,1);
DChybrid2=zeros(16,1);
DKhybrid2=zeros(16,1);
%--------
%Dry pressuredrop
%-------
for i=1:15
    sjekk2(n+i,1)=DPhybridDry20Hz((16-i),1)/(3600*(pi*(radius^2)));
    sjekk2(n+i,2)=DPhybridDry20Hz((16-i),2)*(1000/height);
    Usup(1+i)=sjekk2(n+i,1);
    DChybrid2(1+i)=HybridC*rhoG*(Usup(1+i)^2);
    DMYhybrid2(1+i)=(viscG/HybridK)*Usup(1+i);
    HagenDupHybrid2(1+i)=DMYhybrid2(1+i)+DChybrid2(1+i);
    HagenDupFixed2(1+i)=FixedC*rhoG*(Usup(1+i)^2)+(viscG/FixedK)*Usup(1+i);
end
plot(HagenDupHybrid2,sjekk2(:,2),'x','MarkerSize',10,'Color','red','LineWidt',3,'DisplayName','Experimental 20Hz')
plot(HagenDupHybrid,HagenDupHybrid,'Color','blue','LineWidt',3,'DisplayName','Hazen-Dupuit-Darcy equation')
hold on