%--------
%Air and Water
%-------
%1ATM
%----
viscG=0.00001797408913;%kg/(m-sec),Air
%viscG=0.00001063102081;%kg/(m-sec), Natural Gas
%viscG=0.00001458889437;%kg/(m-sec),SF6
rhoL=998.8027344;%kg/m3 ,Water
%rhoL=756.9100342;%kg/m3 ,Oil
%rhoL=796;%kg/m3 ,Exxol D80
rhoG=1.224846482;%kg/m3 , Air
%rhoG=0.7396171093;%kg/m3 , Natural Gas
%rhoG=6.256990433;%kg/m3 , SF6
%-------
%6 Bar
%----
%viscG=0.00001797408913;%kg/(m-sec),Air
%viscG=0.00001063102081;%kg/(m-sec), Natural Gas
%rhoL=998.7849731;%kg/m3 ,Water
%rhoL=757.2796631;%kg/m3 ,Oil
%rhoG=7.283519745;%kg/m3 , Air
%rhoG=4.448032379;%kg/m3 , Natural Gas
%-------
%80 Bar
%-------
%viscG=0.00001797408913;%kg/(m-sec),Air
%viscG=0.00001063102081;%kg/(m-sec), Natural Gas
%rhoL=998.7980347;%kg/m3 ,Water
%rhoL=762.6702881;%kg/m3 ,Oil
%rhoG=100.6383209;%kg/m3 , Air
%rhoG=73.5552597;%kg/m3 , Natural Gas
n=490;
m=3;
X=zeros(1,n);
Y=zeros(m,n);
Z=zeros(m,n);
%--------
%Mesh properties
%-------
RELrho=8; %relative density in precent
por=(100-RELrho)/100;% porousity
Smesh=(10.4+1.1*(100-por*100))*(64.52/1.639);% Mesh surface area
height=0.08;% Meshpad height
radius=0.0415;%
beta=1;%slowdown factor. To ignore this factor set beta=1
K=0.5;
Usup=K*sqrt((rhoL-rhoG)/rhoG);
Qg=Usup*(3600*pi*(radius^2));
Dw=(4*(1-por))/Smesh;
for i=1:m
    for j=1:n
        K=0.01*j;
        Usup=K*sqrt((rhoL-rhoG)/rhoG);
        Qg=Usup*(3600*pi*(radius^2));
        f=10*i;
        omega=2*pi*f;
        R50=sqrt(0.5)*radius;
        Dp50=sqrt(18*viscG*log(radius/R50)*Usup)/(beta*(rhoL-rhoG)*(omega^2)*height*por);
        X(j)=K^0.5;
        Y(i,j)=Dp50;
        %Dpt=(18*viscG*log(10)*Usup)/((rhoL-rhoG)*(omega^2)*height*por)
    end
end
%hold off
plot(X,Y(1,:),'Color','red','LineWidt',3,'DisplayName','f=10Hz')
hold on
plot(X,Y(2,:),'Color','blue','LineWidth',3,'DisplayName','f=20Hz')
plot(X,Y(3,:),'Color','green','LineWidt',3,'DisplayName','f=30Hz')
xlabel('K^0^.^5');
ylabel('Dp_5_0 (m)');