%function eta1=F1(viscG,rhoL,rhoG,Usup,Dw,Dp,R,omega)
viscG=0.00001786329631;%kg/(m-sec)
rhoL=998.8027344;%kg/m3
rhoG=1.218501091;
n=240;
m=3;
X=zeros(1,n);
Y=zeros(m,n);
Z=zeros(m,n);
%--------
%Mesh properties
%-------
RELrho=8; %relative density in precent
por=(100-RELrho)/100;% porousity
Smesh=(10.4+1.1*(100-por*100))*(64.52/1.639);% Mesh surface area
radius=0.03;%
beta=1;%slowdown factor. To ignore this factor set beta=1
K=0.5;
Usup=K*sqrt((rhoL-rhoG)/rhoG);
Qg=Usup*(3600*pi*(radius^2));
Dw=(4*(1-por))/Smesh;
for i=1:m
    for j=1:n
        height=0.01+0.001*j;% Meshpad height
        Usup=K*sqrt((rhoL-rhoG)/rhoG);
        Qg=Usup*(3600*pi*(radius^2));
        f=10*i;
        omega=2*pi*f;
        alfa=0;
        psi1=(1*(rhoL)*(Dp^2)*Usup)/(18*viscG*Dw);%must be larger then 0.125 /Ranz and Wong)
        R50=sqrt(0.5)*radius;
        Dp50=sqrt(18*viscG*log(radius/R50)*Usup)/(beta*(rhoL-rhoG)*(omega^2)*height*por);
        X(j)=height;
        Y(i,j)=Dp50;
        %Dpt=(18*viscG*log(10)*Usup)/((rhoL-rhoG)*(omega^2)*height*por)
    end
end
%hold off
plot(X,Y(1,:),'Color','red','LineWidt',3,'DisplayName','F=10Hz')
hold on
plot(X,Y(2,:),'Color','blue','LineWidth',3,'DisplayName','F=20Hz')
plot(X,Y(3,:),'Color','green','LineWidt',3,'DisplayName','F=30Hz')
xlabel('Mesh height (m)');
ylabel('Dp_5_0 (m)');