%--------
%Air and Water
%-------
%1ATM
%----
viscG=0.00001797408913;%kg/(m-sec),Air
%viscG=0.00001063102081;%kg/(m-sec), Natural Gas
%viscG=0.00001458889437;%kg/(m-sec),SF6
rhoL=998.8027344;%kg/m3 ,Water
%rhoL=756.9100342;%kg/m3 ,Oil
%rhoL=796;%kg/m3 ,Exxol D80
rhoG=1.224846482;%kg/m3 , Air
%rhoG=0.7396171093;%kg/m3 , Natural Gas
%rhoG=6.256990433;%kg/m3 , SF6
%-------
%6 Bar
%----
%viscG=0.00001797408913;%kg/(m-sec),Air
%viscG=0.00001063102081;%kg/(m-sec), Natural Gas
%rhoL=998.7849731;%kg/m3 ,Water
%rhoL=757.2796631;%kg/m3 ,Oil
%rhoG=7.283519745;%kg/m3 , Air
%rhoG=4.448032379;%kg/m3 , Natural Gas
%-------
%80 Bar
%-------
%viscG=0.00001797408913;%kg/(m-sec),Air
%viscG=0.00001063102081;%kg/(m-sec), Natural Gas
%rhoL=998.7980347;%kg/m3 ,Water
%rhoL=762.6702881;%kg/m3 ,Oil
%rhoG=100.6383209;%kg/m3 , Air
%rhoG=73.5552597;%kg/m3 , Natural Gas
n=2000;
m=6;
X=zeros(1,n);
Y=zeros(m,n);
Z=zeros(m,n);
%--------
%Mesh properties
%-------
RELrho=8; %relative density in precent
por=(100-RELrho)/100;% porousity
Smesh=(10.4+1.1*(100-por*100))*(64.52/1.639);% Mesh surface area
beta=1;%slowdown factor. To ignore this factor set beta=1
Dw=(4*(1-por))/Smesh;
K=0.5;
for i=1:m
        if i<=2
            f=10*i;
            height=0.08;% Meshpad A
            radius=0.0415;%
        elseif i>2.5 && i<=4
            f=10*(i-2);
            height=0.1;% Meshpad B
            radius=0.04;%
        elseif i>4.5 && i<6.5
            f=10*(i-4);
            height=0.2;% Meshpad C
            radius=0.03;%
        else
            break
        end
    for j=1:n
        Dp=0.1*(10^-6)*j;
        Usup=K*sqrt((rhoL-rhoG)/rhoG);
        Qg=Usup*(3600*pi*(radius^2));
        omega=2*pi*f;
        effTOF=1-((1/(exp(((Dp^2)*beta*(rhoL-rhoG)*(omega^2)*height*por)/(18*viscG*Usup))))^2);
        X(j)=Dp;
        Y(i,j)=effTOF;
    end
end
hold off
plot(X,Y(1,:),'Color','red','LineWidt',3,'DisplayName','Mesh A f=10Hz')
hold on
plot(X,Y(2,:),'--','Color','red','LineWidt',3,'DisplayName','Mesh A f=20Hz')
plot(X,Y(3,:),'Color','blue','LineWidt',3,'DisplayName','Mesh B f=10Hz')
plot(X,Y(4,:),'--','Color','blue','LineWidt',3,'DisplayName','Mesh B f=20Hz')
plot(X,Y(5,:),'Color','green','LineWidt',3,'DisplayName','Mesh C f=10Hz')
plot(X,Y(6,:),'--','Color','green','LineWidt',3,'DisplayName','Mesh C f=20Hz')
xlabel('Liquid droplet diameter (m)');
ylabel('Efficiency (-)');