%--------
%Air and Water
%-------
%1ATM
%----
%viscG=0.00001797408913;%kg/(m-sec),Air
%viscG=0.00001063102081;%kg/(m-sec), Natural Gas
%viscG=0.00001458889437;%kg/(m-sec),SF6
%rhoL=998.8027344;%kg/m3 ,Water
%rhoL=756.9100342;%kg/m3 ,Oil
%rhoL=796;%kg/m3 ,Exxol D80
%rhoG=1.224846482;%kg/m3 , Air
%rhoG=0.7396171093;%kg/m3 , Natural Gas
%rhoG=6.256990433;%kg/m3 , SF6
%-------
%6 Bar
%----
viscG=0.00001797408913;%kg/(m-sec),Air
%viscG=0.00001063102081;%kg/(m-sec), Natural Gas
rhoL=998.7849731;%kg/m3 ,Water
%rhoL=757.2796631;%kg/m3 ,Oil
rhoG=7.283519745;%kg/m3 , Air
%rhoG=4.448032379;%kg/m3 , Natural Gas
%-------
%80 Bar
%-------
%viscG=0.00001797408913;%kg/(m-sec),Air
%viscG=0.00001063102081;%kg/(m-sec), Natural Gas
%rhoL=998.7980347;%kg/m3 ,Water
%rhoL=762.6702881;%kg/m3 ,Oil
%rhoG=100.6383209;%kg/m3 , Air
%rhoG=73.5552597;%kg/m3 , Natural Gas
n=1000;
m=1;
X=zeros(1,n);
Y=zeros(m,n);
Z=zeros(m,n);
%--------
%Mesh properties
%-------
RELrho=8; %relative density in precent
por=(100-RELrho)/100;% porousity
Smesh=(10.4+1.1*(100-por*100))*(64.52/1.639);% Mesh surface area
height=0.08;% Meshpad height
radius=0.0415;%
beta=1;%slowdown factor. To ignore this factor set beta=1
%K=0.5;
%Usup=K*sqrt((rhoL-rhoG)/rhoG);
Usup=5;
Qg=Usup*(3600*pi*(radius^2));
Dw=(4*(1-por))/Smesh;
for i=1:m
    for j=1:n
        Dp=0.1*(10^-6)*j;
        f=20;
        omega=2*pi*f;
        alfa=0;
        psi1=(1*(rhoL)*(Dp^2)*Usup)/(18*viscG*Dw);%must be larger then 0.125 /Ranz and Wong)
        etaEmp=(psi1^3)/((psi1^3)+0.77*(psi1^2)+0.22);
        effCapt=1-exp((-2/3)*((etaEmp*Smesh*height*(1+alfa*((radius*omega)/(2*Usup))))/pi));
        effTOF=1-((1/(exp(((Dp^2)*beta*(rhoL-rhoG)*(omega^2)*height*por)/(18*viscG*Usup))))^2);
        X(j)=Dp;
        Y(i,j)=effTOF;
        Z(i,j)=effCapt;
        %Dpt=(18*viscG*log(10)*Usup)/((rhoL-rhoG)*(omega^2)*height*por)
    end
end
%hold off
plot(X,Y(1,:),'Color','red','LineWidt',3,'DisplayName','Natural Gas and Oil 6 Bar')
hold on
xlabel('Liquid droplet diameter (m)');
ylabel('Efficiency (-)');
%--------
%Air and Water
%-------
%1ATM
%----
%viscG=0.00001797408913;%kg/(m-sec),Air
%viscG=0.00001063102081;%kg/(m-sec), Natural Gas
%viscG=0.00001458889437;%kg/(m-sec),SF6
%rhoL=998.8027344;%kg/m3 ,Water
%rhoL=756.9100342;%kg/m3 ,Oil
%rhoL=796;%kg/m3 ,Exxol D80
%rhoG=1.224846482;%kg/m3 , Air
%rhoG=0.7396171093;%kg/m3 , Natural Gas
%rhoG=6.256990433;%kg/m3 , SF6
%-------
%6 Bar
%----
%viscG=0.00001797408913;%kg/(m-sec),Air
%viscG=0.00001063102081;%kg/(m-sec), Natural Gas
%rhoL=998.7849731;%kg/m3 ,Water
%rhoL=757.2796631;%kg/m3 ,Oil
%rhoG=7.283519745;%kg/m3 , Air
%rhoG=4.448032379;%kg/m3 , Natural Gas
%-------
%80 Bar
%-------
viscG=0.00001797408913;%kg/(m-sec),Air
%viscG=0.00001063102081;%kg/(m-sec), Natural Gas
rhoL=998.7980347;%kg/m3 ,Water
%rhoL=762.6702881;%kg/m3 ,Oil
rhoG=100.6383209;%kg/m3 , Air
%rhoG=73.5552597;%kg/m3 , Natural Gas
Xb=zeros(1,n);
Yb=zeros(m,n);
Zb=zeros(m,n);
for i=1:m
    for j=1:n
        Dp=0.1*(10^-6)*j;
        f=20;
        omega=2*pi*f;
        alfa=0;
        psi1=(1*(rhoL)*(Dp^2)*Usup)/(18*viscG*Dw);%must be larger then 0.125 /Ranz and Wong)
        etaEmp=(psi1^3)/((psi1^3)+0.77*(psi1^2)+0.22);
        effCapt=1-exp((-2/3)*((etaEmp*Smesh*height*(1+alfa*((radius*omega)/(2*Usup))))/pi));
        effTOF=1-((1/(exp(((Dp^2)*beta*(rhoL-rhoG)*(omega^2)*height*por)/(18*viscG*Usup))))^2);
        Xb(j)=Dp;
        Yb(i,j)=effTOF;
        Zb(i,j)=effCapt;
        %Dpt=(18*viscG*log(10)*Usup)/((rhoL-rhoG)*(omega^2)*height*por)
    end
end
%hold off
plot(Xb,Yb(1,:),'--','Color','red','LineWidt',3,'DisplayName','Air and Water 80 Bar')
hold on
xlabel('Liquid droplet diameter (m)');
ylabel('Efficiency (-)');
%--------
%NG and Oil
%-------
%1ATM
%----
%viscG=0.00001797408913;%kg/(m-sec),Air
%viscG=0.00001063102081;%kg/(m-sec), Natural Gas
%viscG=0.00001458889437;%kg/(m-sec),SF6
%rhoL=998.8027344;%kg/m3 ,Water
%rhoL=756.9100342;%kg/m3 ,Oil
%rhoL=796;%kg/m3 ,Exxol D80
%rhoG=1.224846482;%kg/m3 , Air
%rhoG=0.7396171093;%kg/m3 , Natural Gas
%rhoG=6.256990433;%kg/m3 , SF6
%-------
%6 Bar
%----
%viscG=0.00001797408913;%kg/(m-sec),Air
viscG=0.00001063102081;%kg/(m-sec), Natural Gas
%rhoL=998.7849731;%kg/m3 ,Water
rhoL=757.2796631;%kg/m3 ,Oil
%rhoG=7.283519745;%kg/m3 , Air
rhoG=4.448032379;%kg/m3 , Natural Gas
%-------
%80 Bar
%-------
%viscG=0.00001797408913;%kg/(m-sec),Air
%viscG=0.00001063102081;%kg/(m-sec), Natural Gas
%rhoL=998.7980347;%kg/m3 ,Water
%rhoL=762.6702881;%kg/m3 ,Oil
%rhoG=100.6383209;%kg/m3 , Air
%rhoG=73.5552597;%kg/m3 , Natural Gas
Xc=zeros(1,n);
Yc=zeros(m,n);
Zc=zeros(m,n);
for i=1:m
    for j=1:n
        Dp=0.1*(10^-6)*j;
        f=20;
        omega=2*pi*f;
        alfa=0;
        psi1=(1*(rhoL)*(Dp^2)*Usup)/(18*viscG*Dw);%must be larger then 0.125 /Ranz and Wong)
        etaEmp=(psi1^3)/((psi1^3)+0.77*(psi1^2)+0.22);
        effCapt=1-exp((-2/3)*((etaEmp*Smesh*height*(1+alfa*((radius*omega)/(2*Usup))))/pi));
        effTOF=1-((1/(exp(((Dp^2)*beta*(rhoL-rhoG)*(omega^2)*height*por)/(18*viscG*Usup))))^2);
        Xc(j)=Dp;
        Yc(i,j)=effTOF;
        Zc(i,j)=effCapt;
        %Dpt=(18*viscG*log(10)*Usup)/((rhoL-rhoG)*(omega^2)*height*por)
    end
end
%hold off
plot(Xc,Yc(1,:),'Color','blue','LineWidt',3,'DisplayName','Natural Gas and Oil 6 Bar')
hold on
xlabel('Liquid droplet diameter (m)');
ylabel('Efficiency (-)');
%--------
%Air and Water
%-------
%1ATM
%----
%viscG=0.00001797408913;%kg/(m-sec),Air
%viscG=0.00001063102081;%kg/(m-sec), Natural Gas
%viscG=0.00001458889437;%kg/(m-sec),SF6
%rhoL=998.8027344;%kg/m3 ,Water
%rhoL=756.9100342;%kg/m3 ,Oil
%rhoL=796;%kg/m3 ,Exxol D80
%rhoG=1.224846482;%kg/m3 , Air
%rhoG=0.7396171093;%kg/m3 , Natural Gas
%rhoG=6.256990433;%kg/m3 , SF6
%-------
%6 Bar
%----
%viscG=0.00001797408913;%kg/(m-sec),Air
%viscG=0.00001063102081;%kg/(m-sec), Natural Gas
%rhoL=998.7849731;%kg/m3 ,Water
%rhoL=757.2796631;%kg/m3 ,Oil
%rhoG=7.283519745;%kg/m3 , Air
%rhoG=4.448032379;%kg/m3 , Natural Gas
%-------
%80 Bar
%-------
%viscG=0.00001797408913;%kg/(m-sec),Air
viscG=0.00001063102081;%kg/(m-sec), Natural Gas
%rhoL=998.7980347;%kg/m3 ,Water
rhoL=762.6702881;%kg/m3 ,Oil
%rhoG=100.6383209;%kg/m3 , Air
rhoG=73.5552597;%kg/m3 , Natural Gas
Xd=zeros(1,n);
Yd=zeros(m,n);
Zd=zeros(m,n);
for i=1:m
    for j=1:n
        Dp=0.1*(10^-6)*j;
        f=20;
        omega=2*pi*f;
        alfa=0;
        psi1=(1*(rhoL)*(Dp^2)*Usup)/(18*viscG*Dw);%must be larger then 0.125 /Ranz and Wong)
        etaEmp=(psi1^3)/((psi1^3)+0.77*(psi1^2)+0.22);
        effCapt=1-exp((-2/3)*((etaEmp*Smesh*height*(1+alfa*((radius*omega)/(2*Usup))))/pi));
        effTOF=1-((1/(exp(((Dp^2)*beta*(rhoL-rhoG)*(omega^2)*height*por)/(18*viscG*Usup))))^2);
        Xd(j)=Dp;
        Yd(i,j)=effTOF;
        Zd(i,j)=effCapt;
        %Dpt=(18*viscG*log(10)*Usup)/((rhoL-rhoG)*(omega^2)*height*por)
    end
end
%hold off
plot(Xd,Yd(1,:),'--','Color','blue','LineWidt',3,'DisplayName','Natural Gas and Oil 80 Bar')
hold on
xlabel('Liquid droplet diameter (m)');
ylabel('Efficiency (-)');